﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：设备Dto类  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/3/2 16:12:06 
    /// 描    述 ：  
    /// </summary>
    public class DeviceRecipeDto : DeviceRecipeEntity
    {

    }
    /// <summary>
    /// 增加
    /// </summary>
    public class DeviceRecipeAddInput : DeviceRecipeDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class DeviceRecipeUpdateInput : DeviceRecipeDto
    {

    }
    /// <summary>
    /// 删除
    /// </summary>
    public class DeviceRecipeDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 不分页
    /// </summary>
    public class DeviceRecipeQueryInput
    {
        /// <summary>
        /// 设备Id
        /// </summary>
        public string DeviceId { get; set; }
      
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class DeviceRecipeQueryPageInput :  RequestPage
    {

    }

    public class DeviceRecipeBatchAddInput
    {
        /// <summary>
        /// 设备Id
        /// </summary>
        public string DeviceId { get; set; }
        /// <summary>
        /// 配方数组
        /// </summary>
        public List<string> RecipesIds { get; set; } = new();
    }


    /// <summary>
    /// 输出
    /// </summary>
    public class DeviceRecipeOutput : DeviceRecipeDto
    {
        /// <summary>
        /// 设备名称
        /// </summary>
        public string DeviceName { get; set; }
        /// <summary>
        /// 配方名称
        /// </summary>
        public string RecipeName { get; set; }
        /// <summary>
        /// 配方代码
        /// </summary>
        public string RecipeCode { get; set; }
        /// <summary>
        /// 分组Id
        /// </summary>
        public string GroupId { get; set; }
        /// <summary>
        /// 分组名称
        /// </summary>
        public string GroupName { get; set; }
        /// <summary>
        /// 配方图片地址
        /// </summary>
        public string RecipesPic { get; set; }
    }
}
