﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：设备Dto类  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/3/2 16:12:06 
    /// 描    述 ：  
    /// </summary>
    public class DevicesInfoDto 
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <example>设备名称</example>
        [Required(ErrorMessage = "名称不能为空")]
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        [Required(ErrorMessage = "编码不能为空")]
        public string Code { get; set; }
        /// <summary>
        /// 设备类型
        /// </summary>
        public string DeviceType { get; set; }
        /// <summary>
        /// 设备描述
        /// </summary>
        /// <example>设备描述</example>
        public string Describe { get; set; }
        /// <summary>
        /// 设备维保时间
        /// </summary>
        /// <example>2023-7-17</example>
        public string RepairDate { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class DevicesInfoAddInput : DevicesInfoDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class DevicesInfoUpdateInput : DevicesInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class DevicesInfoDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class DevicesInfoQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class DevicesInfoOutput : DevicesInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
}
