﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：设备配方服务  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/2 18:30:58 
    /// 描    述 ：  
    /// </summary>
    public interface IDeviceRecipeService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(DeviceRecipeAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(DeviceRecipeDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(DeviceRecipeUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<DeviceRecipeOutput>> List(DeviceRecipeQueryInput input);
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<DeviceRecipeOutput>> PagedList(DeviceRecipeQueryPageInput input);
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<DeviceRecipeOutput> Detail(string Id);
        /// <summary>
        /// 批量下发配方
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> BatchUpdate(DeviceRecipeBatchAddInput input);
    }
}
