﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：成品管理  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/17 15:59:39 
    /// 描    述 ：  
    /// </summary>
    public class FinalsInfoDto
    {
        /// <summary>
        /// 成品编号
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 成品名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 配方Id
        /// </summary>
        public string RecipeId { get; set; }
        /// <summary>
        /// 工艺Id
        /// </summary>
        public string CraftId { get; set; }
        /// <summary>
        /// 添加时间
        /// </summary>
        public DateTime? CreateTime { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class FinalsInfoAddInput : FinalsInfoDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class FinalsInfoUpdateInput : FinalsInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class FinalsInfoDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class FinalsInfoQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class FinalsInfoOutput : FinalsInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 配方名称
        /// </summary>
        public string RecipeName { get; set; }
        /// <summary>
        /// 工艺名称
        /// </summary>
        public string CraftName { get; set; }
    }
}
