﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：配方物料服务  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：2023/3/2 18:33:18 
    /// 描    述 ：  
    /// </summary>
    public interface IRecipeMaterialService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(RecipeMaterialAddInput input);
        /// <summary>
        /// 批量增加
        /// </summary>
        /// <param name="inputs"></param>
        /// <returns></returns>
        Task<bool> BatchAdd(List<RecipeMaterialAddInput> inputs);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(RecipeMaterialDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(RecipeMaterialUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<RecipeMaterialOutput>> List(RecipeMaterialQueryInput input);
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<RecipeMaterialOutput>> PagedList(RecipeMaterialQueryPageInput input);
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<RecipeMaterialOutput> Detail(string Id);
    }
}
