﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ： 料仓服务 
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/17 15:27:20 
    /// 描    述 ：  
    /// </summary>
    public class StockInfoDto
    {
        /// <summary>
        /// 料仓编码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 料仓名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 物料Id
        /// </summary>
        public string MaterialId { get; set; }
        /// <summary>
        /// 料仓容积
        /// </summary>
        public string Volume { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class StockInfoAddInput : StockInfoDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class StockInfoUpdateInput : StockInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class StockInfoDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class StockInfoQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }
    }
    /// <summary>
    /// 输出
    /// </summary>
    public class StockInfoOutput : StockInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 物料Name
        /// </summary>
        public string MaterialName { get; set; }
    }
}
