﻿/// <summary>
/// 名    称 ：[账号信息]实体基础  
/// 创 建 人 ：yangxiao  
/// 创建时间 ：  2023/1/3 10:21:42 
/// 描    述 ：  
/// </summary>
namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// [账号信息]入参基础 
    /// </summary>
    public class AccountInput
    {
        /// <summary>
        /// 账号
        /// </summary>
        ///  <example>admin</example>
        public string Account { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        ///  <example>e10adc3949ba59abbe56e057f20f883e</example>
        public string Pwd { get; set; }
      
    }
    /// <summary>
    /// [账号信息]添加入参
    /// </summary>
    public class AccountAddInput : AccountInput
    {
        /// <summary>
        /// 员工编号
        /// </summary>
        public string TB_Employee_Id { get; set; }
    }
    /// <summary>
    /// [账号信息]修改入参
    /// </summary>
    public class AccountUpdateInput : AccountInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
        /// <summary>
        /// 员工编号
        /// </summary>
        public string TB_Employee_Id { get; set; }
    }
    /// <summary>
    /// [账号信息]修改密码
    /// </summary>
    public class AccountUpdatePwdInput: AccountInput
    {
        /// <summary>
        /// 新密码
        /// </summary>
        public string NewPwd { get; set; }
    }
    /// <summary>
    /// [账号信息]删除入参
    /// </summary>
    public class AccountDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [账号信息]普通查询入参
    /// </summary>
    public class AccountQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [账号信息]分页查询入参
    /// </summary>
    public class AccountQueryPageInput : RequestPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
        /// <summary>
        /// 设备名称
        /// </summary>
        public string Name { get; set; }
    }
}
