///<summary>
/// 名    称 :[授权模块]实体基础
/// 创 建 人 :yangxiao
/// 创建时间 :  2023/1/3 10:21:42
/// 描    述 
/// </summary>
namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// [授权模块]入参基础
    /// </summary>
    public class AuthorModuleInput
    {
        /// <summary>
        /// 子级列表
        /// </summary>
        public List<AuthorModuleInput>? Childrens { get; set; }
        /// <summary>
        /// 拥有权限
        /// </summary>
        public bool HasPermission { get; set; }
        /// <summary>
        /// 模块编号
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 类别 1:菜单，2:视图，3:功能
        /// </summary>
        public int Category { get; set; }

        /// <summary>
        /// 菜单打开方式 0:框架内嵌，1:新开页面
        /// </summary>
        public int OpenType { get; set; }

        /// <summary>
        /// 父级编号
        /// </summary>
        public string ParentId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { set; get; }

        /// <summary>
        /// 图标
        /// </summary>
        public string Icon { set; get; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Url { set; get; }
        /// <summary>
        /// 排序码
        /// </summary>
        public int Sort { set; get; }
        /// <summary>
        /// 启用禁用
        /// </summary>
        public bool IsDisabled { get; set; }

        /// <summary>
        /// 子集
        /// </summary>
        public List<ModuleTreeInput>? Children { get; set; }
    }
    /// <summary>
    /// [授权模块]添加入参
    /// </summary>
    public class AuthorModuleAddInput : AuthorModuleInput
    {

    }

    /// <summary>
    /// [授权模块]批量授权信息
    /// </summary>
    public class AuthorModulesAddInput
    {
        /// <summary>
        /// 模板名称
        /// </summary>
        public string TemplateName { set; get; }

        /// <summary>
        /// 授权模块
        /// </summary>
        public List<string> ModuleIds { get; set; }
    }

    /// <summary>
    /// [授权模块]修改入参
    /// </summary>
    public class AuthorModuleUpdateInput : AuthorModuleInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权模块]删除入参
    /// </summary>
    public class AuthorModuleDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权模块]普通查询入参
    /// </summary>
    public class AuthorModuleQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权模块]分页查询入参
    /// </summary>
    public class AuthorModuleQueryPageInput : RequestPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
}