﻿namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/5 15:15:50 
    /// 描    述 ：  
    /// </summary>
    public class EmployeeInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 员工姓名
        /// </summary>

        public string Name { get; set; }
        /// <summary>
        /// 1男2女
        /// </summary>

        public int Gender { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>

        public string Phone { get; set; }
        /// <summary>
        /// 员工IC卡
        /// </summary>

        public string ICCard { get; set; }
        /// <summary>
        /// 头像
        /// </summary>

        public string Header { get; set; }
        /// <summary>
        /// 入职时间
        /// </summary>

        public DateTime JoinDate { get; set; }

        /// <summary>
        /// 离职时间
        /// </summary>
        public DateTime? OutDate { get; set; }
        /// <summary>
        /// 身份证
        /// </summary>

        public string IdCard { get; set; }
        /// <summary>
        /// 1在职2出差3离职
        /// </summary>

        public int Stutas { get; set; }
        /// <summary>
        /// 角色Id
        /// </summary>
        public string TB_RoleId { get; set; }
        /// <summary>
        /// 是否存在账号
        /// </summary>
        public bool IsAccount { get; set; }
        /// <summary>
        /// 账号
        /// </summary>
        public string Account { get; set; }
    }

    /// <summary>
    /// [授权信息]添加入参
    /// </summary>
    public class EmployeeAddInput : EmployeeInput
    {

    }
    /// <summary>
    /// [授权信息]修改入参
    /// </summary>
    public class EmployeeUpdateInput : EmployeeInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权信息]删除入参
    /// </summary>
    public class EmployeeDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权信息]普通查询入参
    /// </summary>
    public class EmployeeQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [授权信息]分页查询入参
    /// </summary>
    public class EmployeeQueryPageInput : RequestPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
        /// <summary>
        /// 关键字
        /// </summary>
        public string Keyword { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public int Gender { get; set; }
        /// <summary>
        /// 入职时间
        /// </summary>
        public DateTime? JoinDate { get; set; }
    }
}
