﻿///<summary>
/// 名    称 :[模块信息]实体基础
/// 创 建 人 :yangxiao
/// 创建时间 :  2023/1/3 10:21:42
/// 描    述 
/// </summary>
namespace  BPA.MES.Base.Application
{
    /// <summary>
    /// [模块信息]入参基础
    /// </summary>
    public class ModuleInput
    {
        /// <summary>
        /// 类别 1:菜单，2:视图，3:功能
        /// </summary>
        public int Category { get; set; }
        /// <summary>
        /// 菜单打开方式 0:框架内嵌，1:新开页面
        /// </summary>
        public int OpenType { get; set; }
        /// <summary>
        /// 父级编号
        /// </summary>
        public string ParentId { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { set; get; }
        /// <summary>
        /// 图标
        /// </summary>
        public string Icon { set; get; }
        /// <summary>
        /// 地址
        /// </summary>
        public string Url { set; get; }
        /// <summary>
        /// 排序码
        /// </summary>
        public int Sort { set; get; }
        /// <summary>
        /// 启用禁用
        /// </summary>
        public bool IsDisabled { get; set; }
    }
    /// <summary>
    /// [模块信息]添加入参
    /// </summary>
    public class ModuleAddInput : ModuleInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }  
    }
    /// <summary>
    /// [模块信息]修改入参
    /// </summary>
    public class ModuleUpdateInput : ModuleInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [模块信息]删除入参
    /// </summary>
    public class ModuleDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [模块信息]普通查询入参
    /// </summary>
    public class ModuleQueryInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
    /// <summary>
    /// [模块信息]分页查询入参
    /// </summary>
    public class ModuleQueryPageInput : RequestPage
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string? Id { get; set; }
    }
}