declare namespace AuthTemplateTypes {
	//授权模板类型
	type AuthTemplateType = {
		id: string;
		name: string;
		remark: string;
	};

	type PageParams = {
		keyWord: string,
		sortName: string,
		sortByAsc: boolean,
		pageIndex: number,
		pageSize: number
	};

	//模板授权模块
	type TempAuthModule = {
		tB_TemplateId: string,
		tB_ModuleIds: string[]
	}

	//模板授权 用户|角色参数
	type AuthObjectParams = {
		keyWord: string,
		templateId: string,
		type: number
	}

	//模板授权 用户|角色 数据类型
	type AuthObjectItem = {
		id: string,
		name: string,
		isauthorized: boolean
	}

	/**
	 * 添加授权-参数
	 */
	type AddAuthParams = {
		templateIds: string[],
		authorizeType: number,
		objectId: string
	}

	/**
	 * 移除授权-参数
	 */
	type RemoveAuthParams = {
		templateId: string,
		type: number,
		objectIds: string[]
	}

	type AuthTemplateSearch = {
		keyWord: string,
		sortName: string,
		sortByAsc: boolean,
		pageIndex: number,
		pageSize: number
	}

	// 模块类型
	type ModuleType = {
		category: number,
		openType: number,
		parentId: string,
		name: string,
		icon: string,
		url: string,
		sort: number,
		isDisabled: boolean,
		id: string,
		children: ModuleType[],
		childrens: ModuleType[],
		hasPermission?: boolean,
	}


}
