/**
 * 设备基础管理
 * @export
 * @interface DeviceInfoAddInput
 */
declare namespace DeviceTypes {

    interface Info{
        id: string,
		name: string,
		code: string
    }
    interface Page extends Info{
        pageIndex:number,
		pageSize:number
    }
    interface BatchAdd {
        deviceId:string,
        recipesIds:string[]
    }
    /**
     * 添加入参
     * @export
     * @interface DeviceInfoAddInput
     */
    interface DeviceInfoAddInput {
        /**
         * 设备名称
         * @type {string}
         * @memberof DeviceInfoAddInput
         */
        name?: string | null;
        /**
         * 设备状态
         * @type {string}
         * @memberof DeviceInfoAddInput
         */
        state?: string | null;
        /**
         * 所属区域
         * @type {string}
         * @memberof DeviceInfoAddInput
         */
        regionId?: string | null;
    }

    /**
     * 删除入参
     * @export
     * @interface DeviceInfoDelInput
     */
    export interface DeviceInfoDelInput {
        /**
         * 主键
         * @type {string}
         * @memberof DeviceInfoDelInput
         */
        id?: string | null;
    }

    /**
     * 名    称 ：设备基础信息    
     * 创 建 人 ：yangxiao    
     * 创建时间 ：2022/10/28 17:19:13 
     * 描    述 ：设备基础信息返回值
     * @export
     * @interface DeviceInfoOutput
     */
    export interface DeviceInfoOutput {
        /**
         * 主键
         * @type {string}
         * @memberof DeviceInfoOutput
         */
        id?: string | null;
        /**
         * 设备名称
         * @type {string}
         * @memberof DeviceInfoOutput
         */
        name?: string | null;
        /**
         * 设备状态
         * @type {string}
         * @memberof DeviceInfoOutput
         */
        state?: string | null;
        /**
         * 所属区域
         * @type {string}
         * @memberof DeviceInfoOutput
         */
        regionId?: string | null;
        /**
         * 所属区域名称
         * @type {string}
         * @memberof DeviceInfoOutput
         */
        regionName?: string | null;
    }
    /**
     * 分页查询入参
     * @export
     * @interface DeviceInfoQueryPageInput
     */
    export interface DeviceInfoQueryPageInput {
        /**
         * 关键字
         * @type {string}
         * @memberof DeviceInfoQueryPageInput
         */
        name?: string | null;
        /**
         * 页码
         * @type {number}
         * @memberof DeviceInfoQueryPageInput
         */
        pageIndex?: number;
        /**
         * 页大小
         * @type {number}
         * @memberof DeviceInfoQueryPageInput
         */
        pageSize?: number;
        /**
         * 主键
         * @type {string}
         * @memberof DeviceInfoQueryPageInput
         */
        id?: string | null;
    }
    /**
     * 修改入参
     * @export
     * @interface DeviceInfoUpdateInput
     */
    export interface DeviceInfoUpdateInput {
        /**
         * 设备名称
         * @type {string}
         * @memberof DeviceInfoUpdateInput
         */
        name?: string | null;
        /**
         * 设备状态
         * @type {string}
         * @memberof DeviceInfoUpdateInput
         */
        state?: any | null;
        /**
         * 所属区域
         * @type {string}
         * @memberof DeviceInfoUpdateInput
         */
        regionId?: string | null;
        /**
         * 主键
         * @type {string}
         * @memberof DeviceInfoUpdateInput
         */
        id?: string | null;
    }
}